| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxWebViewHandler Class Referenceabstract
WebView

`#include <wx/webview.h>`

Inheritance diagram for wxWebViewHandler:
[legend]

## Detailed Description

The base class for handling custom schemes in wxWebView, for example to allow virtual file system support.

Since
  2.9.3

  ##

Library: wxWebView
Category: WebView

See Also
  wxWebView

## Public Member Functions

| wxWebViewHandler (const wxString &scheme)
| Constructor.
virtual wxFSFile * | GetFile (const wxString &uri)=0
virtual wxString | GetName () const

## Constructor & Destructor Documentation

wxWebViewHandler::wxWebViewHandler | ( | const wxString & | scheme | ) |

Constructor.

Takes the name of the scheme that will be handled by this class for example `file` or `zip`.

## Member Function Documentation

virtual wxFSFile* wxWebViewHandler::GetFile | ( | const wxString & | uri | ) |

pure virtual

Returns
  A pointer to the file represented by `uri`.

Implemented in wxWebViewArchiveHandler, and wxWebViewFSHandler.

virtual wxString wxWebViewHandler::GetName | ( |  | ) | const

virtual

Returns
  The name of the scheme, as passed to the constructor.